diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/wifi/wscript ns-3.34/src/wifi/wscript
--- ns-3.33/src/wifi/wscript	2021-01-09 10:19:23.000000000 -0800
+++ ns-3.34/src/wifi/wscript	2021-07-14 10:31:07.000000000 -0700
@@ -9,11 +9,12 @@
         'model/wifi-mode.cc',
         'model/ssid.cc',
         'model/wifi-phy.cc',
+        'model/wifi-phy-operating-channel.cc',
         'model/wifi-phy-state-helper.cc',
         'model/error-rate-model.cc',
         'model/yans-error-rate-model.cc',
         'model/nist-error-rate-model.cc',
-        'model/dsss-error-rate-model.cc',
+        'model/non-ht/dsss-error-rate-model.cc',
         'model/table-based-error-rate-model.cc',
         'model/interference-helper.cc',
         'model/yans-wifi-phy.cc',
@@ -21,11 +22,23 @@
         'model/spectrum-wifi-phy.cc',
         'model/wifi-spectrum-phy-interface.cc',
         'model/wifi-spectrum-signal-parameters.cc',
-        'model/wifi-phy-header.cc',
         'model/wifi-mac-header.cc',
         'model/wifi-mac-trailer.cc',
-        'model/mac-low.cc',
-        'model/mac-low-transmission-parameters.cc',
+        'model/wifi-tx-timer.cc',
+        'model/wifi-protection.cc',
+        'model/wifi-acknowledgment.cc',
+        'model/wifi-tx-parameters.cc',
+        'model/wifi-protection-manager.cc',
+        'model/wifi-default-protection-manager.cc',
+        'model/wifi-ack-manager.cc',
+        'model/wifi-default-ack-manager.cc',
+        'model/frame-exchange-manager.cc',
+        'model/qos-frame-exchange-manager.cc',
+        'model/ht/ht-frame-exchange-manager.cc',
+        'model/vht/vht-frame-exchange-manager.cc',
+        'model/he/he-frame-exchange-manager.cc',
+        'model/he/multi-user-scheduler.cc',
+        'model/he/rr-multi-user-scheduler.cc',
         'model/wifi-mac-queue.cc',
         'model/mac-tx-middle.cc',
         'model/mac-rx-middle.cc',
@@ -37,71 +50,83 @@
         'model/channel-access-manager.cc',
         'model/wifi-mac.cc',
         'model/regular-wifi-mac.cc',
-        'model/infrastructure-wifi-mac.cc',
         'model/wifi-remote-station-info.cc',
         'model/wifi-remote-station-manager.cc',
         'model/ap-wifi-mac.cc',
         'model/sta-wifi-mac.cc',
         'model/adhoc-wifi-mac.cc',
         'model/wifi-net-device.cc',
-        'model/arf-wifi-manager.cc',
-        'model/aarf-wifi-manager.cc',
-        'model/ideal-wifi-manager.cc',
-        'model/constant-rate-wifi-manager.cc',
-        'model/amrr-wifi-manager.cc',
-        'model/onoe-wifi-manager.cc',
-        'model/rraa-wifi-manager.cc',
-        'model/aarfcd-wifi-manager.cc',
-        'model/cara-wifi-manager.cc',
-        'model/minstrel-wifi-manager.cc',
-        'model/minstrel-ht-wifi-manager.cc',
+        'model/rate-control/arf-wifi-manager.cc',
+        'model/rate-control/aarf-wifi-manager.cc',
+        'model/rate-control/ideal-wifi-manager.cc',
+        'model/rate-control/constant-rate-wifi-manager.cc',
+        'model/rate-control/amrr-wifi-manager.cc',
+        'model/rate-control/onoe-wifi-manager.cc',
+        'model/rate-control/rraa-wifi-manager.cc',
+        'model/rate-control/aarfcd-wifi-manager.cc',
+        'model/rate-control/cara-wifi-manager.cc',
+        'model/rate-control/minstrel-wifi-manager.cc',
+        'model/rate-control/minstrel-ht-wifi-manager.cc',
         'model/qos-utils.cc',
         'model/qos-txop.cc',
         'model/msdu-aggregator.cc',
         'model/amsdu-subframe-header.cc',
         'model/originator-block-ack-agreement.cc',
+        'model/recipient-block-ack-agreement.cc',
         'model/ctrl-headers.cc',
         'model/qos-blocked-destinations.cc',
         'model/block-ack-agreement.cc',
         'model/block-ack-manager.cc',
-        'model/block-ack-cache.cc',
         'model/block-ack-window.cc',
+        'model/block-ack-type.cc',
         'model/snr-tag.cc',
-        'model/ht-capabilities.cc',
+        'model/he/mu-snr-tag.cc',
+        'model/ht/ht-capabilities.cc',
         'model/wifi-tx-vector.cc',
-        'model/parf-wifi-manager.cc',
-        'model/aparf-wifi-manager.cc',
-        'model/rrpaa-wifi-manager.cc',
+        'model/rate-control/parf-wifi-manager.cc',
+        'model/rate-control/aparf-wifi-manager.cc',
+        'model/rate-control/rrpaa-wifi-manager.cc',
+        'model/rate-control/thompson-sampling-wifi-manager.cc',
         'model/ampdu-subframe-header.cc',
         'model/mpdu-aggregator.cc',
         'model/ampdu-tag.cc',
         'model/wifi-radio-energy-model.cc',
         'model/wifi-tx-current-model.cc',
-        'model/vht-capabilities.cc',
-        'model/erp-information.cc',
-        'model/ht-operation.cc',
-        'model/vht-operation.cc',
-        'model/dsss-parameter-set.cc',
+        'model/vht/vht-capabilities.cc',
+        'model/non-ht/erp-information.cc',
+        'model/ht/ht-operation.cc',
+        'model/vht/vht-operation.cc',
+        'model/non-ht/dsss-parameter-set.cc',
         'model/edca-parameter-set.cc',
-        'model/he-capabilities.cc',
+        'model/he/he-capabilities.cc',
         'model/frame-capture-model.cc',
         'model/simple-frame-capture-model.cc',
         'model/preamble-detection-model.cc',
         'model/threshold-preamble-detection-model.cc',
-        'model/he-operation.cc',
-        'model/he-configuration.cc',
+        'model/he/he-operation.cc',
+        'model/he/he-configuration.cc',
         'model/extended-capabilities.cc',
-        'model/cf-parameter-set.cc',
         'model/wifi-mac-queue-item.cc',
         'model/wifi-psdu.cc',
         'model/wifi-ppdu.cc',
-        'model/ht-configuration.cc',
-        'model/vht-configuration.cc',
-        'model/obss-pd-algorithm.cc',
-        'model/constant-obss-pd-algorithm.cc',
-        'model/wifi-ack-policy-selector.cc',
-        'model/constant-wifi-ack-policy-selector.cc',
-        'model/he-ru.cc',
+        'model/non-ht/dsss-ppdu.cc',
+        'model/non-ht/ofdm-ppdu.cc',
+        'model/non-ht/erp-ofdm-ppdu.cc',
+        'model/ht/ht-ppdu.cc',
+        'model/vht/vht-ppdu.cc',
+        'model/he/he-ppdu.cc',
+        'model/ht/ht-configuration.cc',
+        'model/vht/vht-configuration.cc',
+        'model/he/obss-pd-algorithm.cc',
+        'model/he/constant-obss-pd-algorithm.cc',
+        'model/he/he-ru.cc',
+        'model/phy-entity.cc',
+        'model/non-ht/dsss-phy.cc',
+        'model/non-ht/ofdm-phy.cc',
+        'model/non-ht/erp-ofdm-phy.cc',
+        'model/ht/ht-phy.cc',
+        'model/vht/vht-phy.cc',
+        'model/he/he-phy.cc',
         'helper/wifi-radio-energy-model-helper.cc',
         'helper/athstats-helper.cc',
         'helper/wifi-helper.cc',
@@ -117,14 +142,18 @@
         'test/tx-duration-test.cc',
         'test/power-rate-adaptation-test.cc',
         'test/wifi-test.cc',
+        'test/wifi-txop-test.cc',
         'test/spectrum-wifi-phy-test.cc',
+        'test/wifi-primary-channels-test.cc',
         'test/wifi-aggregation-test.cc',
         'test/wifi-error-rate-models-test.cc',
         'test/wifi-transmit-mask-test.cc',
         'test/wifi-phy-thresholds-test.cc',
         'test/wifi-phy-reception-test.cc',
         'test/inter-bss-test-suite.cc',
-        'test/wifi-phy-ofdma-test.cc'
+        'test/wifi-mac-ofdma-test.cc',
+        'test/wifi-phy-ofdma-test.cc',
+        'test/wifi-mac-queue-test.cc',
         ]
 
     # Tests encapsulating example programs should be listed here
@@ -142,13 +171,14 @@
         'model/wifi-net-device.h',
         'model/wifi-mode.h',
         'model/ssid.h',
-        'model/wifi-preamble.h',
+        'model/wifi-phy-common.h',
         'model/wifi-phy-band.h',
         'model/wifi-standards.h',
         'model/yans-wifi-phy.h',
         'model/spectrum-wifi-phy.h',
         'model/yans-wifi-channel.h',
         'model/wifi-phy.h',
+        'model/wifi-phy-operating-channel.h',
         'model/wifi-spectrum-phy-interface.h',
         'model/wifi-spectrum-signal-parameters.h',
         'model/interference-helper.h',
@@ -157,29 +187,28 @@
         'model/ap-wifi-mac.h',
         'model/sta-wifi-mac.h',
         'model/adhoc-wifi-mac.h',
-        'model/arf-wifi-manager.h',
-        'model/aarf-wifi-manager.h',
-        'model/ideal-wifi-manager.h',
-        'model/constant-rate-wifi-manager.h',
-        'model/amrr-wifi-manager.h',
-        'model/onoe-wifi-manager.h',
-        'model/rraa-wifi-manager.h',
-        'model/aarfcd-wifi-manager.h',
-        'model/cara-wifi-manager.h',
-        'model/minstrel-wifi-manager.h',
-        'model/minstrel-ht-wifi-manager.h',
+        'model/rate-control/arf-wifi-manager.h',
+        'model/rate-control/aarf-wifi-manager.h',
+        'model/rate-control/ideal-wifi-manager.h',
+        'model/rate-control/constant-rate-wifi-manager.h',
+        'model/rate-control/amrr-wifi-manager.h',
+        'model/rate-control/onoe-wifi-manager.h',
+        'model/rate-control/rraa-wifi-manager.h',
+        'model/rate-control/aarfcd-wifi-manager.h',
+        'model/rate-control/cara-wifi-manager.h',
+        'model/rate-control/minstrel-wifi-manager.h',
+        'model/rate-control/minstrel-ht-wifi-manager.h',
+        'model/rate-control/thompson-sampling-wifi-manager.h',
         'model/wifi-mac.h',
         'model/regular-wifi-mac.h',
-        'model/infrastructure-wifi-mac.h',
         'model/supported-rates.h',
         'model/error-rate-model.h',
         'model/yans-error-rate-model.h',
         'model/nist-error-rate-model.h',
-        'model/dsss-error-rate-model.h',
+        'model/non-ht/dsss-error-rate-model.h',
         'model/table-based-error-rate-model.h',
         'model/wifi-mac-queue.h',
         'model/txop.h',
-        'model/wifi-phy-header.h',
         'model/wifi-mac-header.h',
         'model/wifi-mac-trailer.h',
         'model/wifi-phy-state-helper.h',
@@ -193,56 +222,80 @@
         'model/channel-access-manager.h',
         'model/mac-tx-middle.h', 
         'model/mac-rx-middle.h', 
-        'model/mac-low.h',
-        'model/mac-low-transmission-parameters.h',
+        'model/wifi-tx-timer.h',
+        'model/wifi-protection.h',
+        'model/wifi-acknowledgment.h',
+        'model/wifi-tx-parameters.h',
+        'model/wifi-protection-manager.h',
+        'model/wifi-default-protection-manager.h',
+        'model/wifi-ack-manager.h',
+        'model/wifi-default-ack-manager.h',
+        'model/frame-exchange-manager.h',
+        'model/qos-frame-exchange-manager.h',
+        'model/ht/ht-frame-exchange-manager.h',
+        'model/vht/vht-frame-exchange-manager.h',
+        'model/he/he-frame-exchange-manager.h',
+        'model/he/multi-user-scheduler.h',
+        'model/he/rr-multi-user-scheduler.h',
         'model/originator-block-ack-agreement.h',
+        'model/recipient-block-ack-agreement.h',
         'model/ctrl-headers.h',
         'model/block-ack-agreement.h',
         'model/block-ack-manager.h',
-        'model/block-ack-cache.h',
         'model/block-ack-window.h',
         'model/snr-tag.h',
-        'model/ht-capabilities.h',
-        'model/parf-wifi-manager.h',
-        'model/aparf-wifi-manager.h',
-        'model/rrpaa-wifi-manager.h',
+        'model/he/mu-snr-tag.h',
+        'model/ht/ht-capabilities.h',
+        'model/rate-control/parf-wifi-manager.h',
+        'model/rate-control/aparf-wifi-manager.h',
+        'model/rate-control/rrpaa-wifi-manager.h',
         'model/wifi-tx-vector.h',
         'model/ampdu-subframe-header.h',
         'model/mpdu-aggregator.h',
         'model/ampdu-tag.h',
         'model/wifi-radio-energy-model.h',
         'model/wifi-tx-current-model.h',
-        'model/vht-capabilities.h',
-        'model/erp-information.h',
-        'model/ht-operation.h',
-        'model/vht-operation.h',
-        'model/dsss-parameter-set.h',
+        'model/vht/vht-capabilities.h',
+        'model/non-ht/erp-information.h',
+        'model/ht/ht-operation.h',
+        'model/vht/vht-operation.h',
+        'model/non-ht/dsss-parameter-set.h',
         'model/edca-parameter-set.h',
-        'model/he-capabilities.h',
+        'model/he/he-capabilities.h',
         'model/frame-capture-model.h',
         'model/simple-frame-capture-model.h',
         'model/preamble-detection-model.h',
         'model/threshold-preamble-detection-model.h',
         'model/qos-blocked-destinations.h',
-        'model/he-operation.h',
-        'model/he-configuration.h',
+        'model/he/he-operation.h',
+        'model/he/he-configuration.h',
         'model/extended-capabilities.h',
-        'model/cf-parameter-set.h',
         'model/wifi-mac-queue-item.h',
         'model/wifi-psdu.h',
         'model/wifi-ppdu.h',
+        'model/non-ht/dsss-ppdu.h',
+        'model/non-ht/erp-ofdm-ppdu.h',
+        'model/non-ht/ofdm-ppdu.h',
+        'model/ht/ht-ppdu.h',
+        'model/vht/vht-ppdu.h',
+        'model/he/he-ppdu.h',
         'model/wifi-phy-state.h',
         'model/wifi-phy-listener.h',
         'model/block-ack-type.h',
         'model/wifi-mpdu-type.h',
-        'model/ht-configuration.h',
-        'model/vht-configuration.h',
-        'model/obss-pd-algorithm.h',
-        'model/constant-obss-pd-algorithm.h',
-        'model/wifi-ack-policy-selector.h',
-        'model/constant-wifi-ack-policy-selector.h',
-        'model/he-ru.h',
+        'model/ht/ht-configuration.h',
+        'model/vht/vht-configuration.h',
+        'model/he/obss-pd-algorithm.h',
+        'model/he/constant-obss-pd-algorithm.h',
+        'model/he/he-ru.h',
         'model/reference/error-rate-tables.h',
+        'model/phy-entity.h',
+        'model/non-ht/dsss-phy.h',
+        'model/non-ht/ofdm-phy.h',
+        'model/non-ht/erp-ofdm-phy.h',
+        'model/ht/ht-phy.h',
+        'model/vht/vht-phy.h',
+        'model/he/he-phy.h',
         'helper/wifi-radio-energy-model-helper.h',
         'helper/athstats-helper.h',
         'helper/wifi-helper.h',
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/wimax/bindings/modulegen__gcc_ILP32.py ns-3.34/src/wimax/bindings/modulegen__gcc_ILP32.py
--- ns-3.33/src/wimax/bindings/modulegen__gcc_ILP32.py	2021-01-09 10:19:23.000000000 -0800
+++ ns-3.34/src/wimax/bindings/modulegen__gcc_ILP32.py	2021-07-14 10:31:07.000000000 -0700
@@ -99,12 +99,16 @@
     module.add_class('Ipv4Address', import_from_module='ns.network')
     ## ipv4-address.h (module 'network'): ns3::Ipv4Address [class]
     root_module['ns3::Ipv4Address'].implicitly_converts_to(root_module['ns3::Address'])
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash [class]
+    module.add_class('Ipv4AddressHash', import_from_module='ns.network')
     ## ipv4-address.h (module 'network'): ns3::Ipv4Mask [class]
     module.add_class('Ipv4Mask', import_from_module='ns.network')
     ## ipv6-address.h (module 'network'): ns3::Ipv6Address [class]
     module.add_class('Ipv6Address', import_from_module='ns.network')
     ## ipv6-address.h (module 'network'): ns3::Ipv6Address [class]
     root_module['ns3::Ipv6Address'].implicitly_converts_to(root_module['ns3::Address'])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash [class]
+    module.add_class('Ipv6AddressHash', import_from_module='ns.network')
     ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix [class]
     module.add_class('Ipv6Prefix', import_from_module='ns.network')
     ## log.h (module 'core'): ns3::LogComponent [class]
@@ -176,7 +180,7 @@
     ## trace-helper.h (module 'network'): ns3::PcapHelper [class]
     module.add_class('PcapHelper', import_from_module='ns.network')
     ## trace-helper.h (module 'network'): ns3::PcapHelper::DataLinkType [enumeration]
-    module.add_enum('DataLinkType', ['DLT_NULL', 'DLT_EN10MB', 'DLT_PPP', 'DLT_RAW', 'DLT_IEEE802_11', 'DLT_LINUX_SLL', 'DLT_PRISM_HEADER', 'DLT_IEEE802_11_RADIO', 'DLT_IEEE802_15_4', 'DLT_NETLINK'], outer_class=root_module['ns3::PcapHelper'], import_from_module='ns.network')
+    module.add_enum('DataLinkType', ['DLT_NULL', 'DLT_EN10MB', 'DLT_PPP', 'DLT_RAW', 'DLT_IEEE802_11', 'DLT_LINUX_SLL', 'DLT_PRISM_HEADER', 'DLT_IEEE802_11_RADIO', 'DLT_IEEE802_15_4', 'DLT_NETLINK', 'DLT_LORATAP'], outer_class=root_module['ns3::PcapHelper'], import_from_module='ns.network')
     ## trace-helper.h (module 'network'): ns3::PcapHelperForDevice [class]
     module.add_class('PcapHelperForDevice', allow_subclassing=True, import_from_module='ns.network')
     ## snr-to-block-error-rate-manager.h (module 'wimax'): ns3::SNRToBlockErrorRateManager [class]
@@ -207,6 +211,10 @@
     module.add_class('Simulator', destructor_visibility='private', import_from_module='ns.core')
     ## simulator.h (module 'core'): ns3::Simulator [enumeration]
     module.add_enum('', ['NO_CONTEXT'], outer_class=root_module['ns3::Simulator'], import_from_module='ns.core')
+    ## ul-job.h (module 'wimax'): ns3::SortProcess [struct]
+    module.add_class('SortProcess')
+    ## ul-job.h (module 'wimax'): ns3::SortProcessPtr [struct]
+    module.add_class('SortProcessPtr')
     ## tag.h (module 'network'): ns3::Tag [class]
     module.add_class('Tag', import_from_module='ns.network', parent=root_module['ns3::ObjectBase'])
     ## tag-buffer.h (module 'network'): ns3::TagBuffer [class]
@@ -776,8 +784,10 @@
     register_Ns3Hasher_methods(root_module, root_module['ns3::Hasher'])
     register_Ns3IpcsClassifierRecord_methods(root_module, root_module['ns3::IpcsClassifierRecord'])
     register_Ns3Ipv4Address_methods(root_module, root_module['ns3::Ipv4Address'])
+    register_Ns3Ipv4AddressHash_methods(root_module, root_module['ns3::Ipv4AddressHash'])
     register_Ns3Ipv4Mask_methods(root_module, root_module['ns3::Ipv4Mask'])
     register_Ns3Ipv6Address_methods(root_module, root_module['ns3::Ipv6Address'])
+    register_Ns3Ipv6AddressHash_methods(root_module, root_module['ns3::Ipv6AddressHash'])
     register_Ns3Ipv6Prefix_methods(root_module, root_module['ns3::Ipv6Prefix'])
     register_Ns3LogComponent_methods(root_module, root_module['ns3::LogComponent'])
     register_Ns3Mac48Address_methods(root_module, root_module['ns3::Mac48Address'])
@@ -811,6 +821,8 @@
     register_Ns3ServiceFlowRecord_methods(root_module, root_module['ns3::ServiceFlowRecord'])
     register_Ns3SimpleRefCount__Ns3Object_Ns3ObjectBase_Ns3ObjectDeleter_methods(root_module, root_module['ns3::SimpleRefCount< ns3::Object, ns3::ObjectBase, ns3::ObjectDeleter >'])
     register_Ns3Simulator_methods(root_module, root_module['ns3::Simulator'])
+    register_Ns3SortProcess_methods(root_module, root_module['ns3::SortProcess'])
+    register_Ns3SortProcessPtr_methods(root_module, root_module['ns3::SortProcessPtr'])
     register_Ns3Tag_methods(root_module, root_module['ns3::Tag'])
     register_Ns3TagBuffer_methods(root_module, root_module['ns3::TagBuffer'])
     register_Ns3Time_methods(root_module, root_module['ns3::Time'])
@@ -2231,6 +2243,18 @@
                    [param('char const *', 'address')])
     return
 
+def register_Ns3Ipv4AddressHash_methods(root_module, cls):
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash::Ipv4AddressHash() [constructor]
+    cls.add_constructor([])
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash::Ipv4AddressHash(ns3::Ipv4AddressHash const & arg0) [constructor]
+    cls.add_constructor([param('ns3::Ipv4AddressHash const &', 'arg0')])
+    ## ipv4-address.h (module 'network'): size_t ns3::Ipv4AddressHash::operator()(ns3::Ipv4Address const & x) const [member operator]
+    cls.add_method('operator()', 
+                   'size_t', 
+                   [param('ns3::Ipv4Address const &', 'x')], 
+                   custom_name='__call__', is_const=True)
+    return
+
 def register_Ns3Ipv4Mask_methods(root_module, cls):
     cls.add_output_stream_operator()
     cls.add_binary_comparison_operator('==')
@@ -2444,6 +2468,11 @@
                    'ns3::Ipv6Address', 
                    [param('ns3::Address', 'addr'), param('ns3::Ipv6Address', 'prefix')], 
                    is_static=True)
+    ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredAddress(ns3::Address addr, ns3::Ipv6Prefix prefix) [member function]
+    cls.add_method('MakeAutoconfiguredAddress', 
+                   'ns3::Ipv6Address', 
+                   [param('ns3::Address', 'addr'), param('ns3::Ipv6Prefix', 'prefix')], 
+                   is_static=True)
     ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredAddress(ns3::Mac16Address addr, ns3::Ipv6Address prefix) [member function]
     cls.add_method('MakeAutoconfiguredAddress', 
                    'ns3::Ipv6Address', 
@@ -2519,6 +2548,18 @@
                    [param('uint8_t *', 'address')])
     return
 
+def register_Ns3Ipv6AddressHash_methods(root_module, cls):
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash::Ipv6AddressHash() [constructor]
+    cls.add_constructor([])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash::Ipv6AddressHash(ns3::Ipv6AddressHash const & arg0) [constructor]
+    cls.add_constructor([param('ns3::Ipv6AddressHash const &', 'arg0')])
+    ## ipv6-address.h (module 'network'): size_t ns3::Ipv6AddressHash::operator()(ns3::Ipv6Address const & x) const [member operator]
+    cls.add_method('operator()', 
+                   'size_t', 
+                   [param('ns3::Ipv6Address const &', 'x')], 
+                   custom_name='__call__', is_const=True)
+    return
+
 def register_Ns3Ipv6Prefix_methods(root_module, cls):
     cls.add_output_stream_operator()
     cls.add_binary_comparison_operator('==')
@@ -2539,6 +2580,11 @@
     cls.add_constructor([param('ns3::Ipv6Prefix const &', 'prefix')])
     ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix::Ipv6Prefix(ns3::Ipv6Prefix const * prefix) [constructor]
     cls.add_constructor([param('ns3::Ipv6Prefix const *', 'prefix')])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6Address ns3::Ipv6Prefix::ConvertToIpv6Address() const [member function]
+    cls.add_method('ConvertToIpv6Address', 
+                   'ns3::Ipv6Address', 
+                   [], 
+                   is_const=True)
     ## ipv6-address.h (module 'network'): void ns3::Ipv6Prefix::GetBytes(uint8_t * buf) const [member function]
     cls.add_method('GetBytes', 
                    'void', 
@@ -3738,26 +3784,26 @@
     cls.add_method('GetSigma2', 
                    'double', 
                    [])
-    ## snr-to-block-error-rate-record.h (module 'wimax'): void ns3::SNRToBlockErrorRateRecord::SetBitErrorRate(double arg0) [member function]
+    ## snr-to-block-error-rate-record.h (module 'wimax'): void ns3::SNRToBlockErrorRateRecord::SetBitErrorRate(double bitErrorRate) [member function]
     cls.add_method('SetBitErrorRate', 
                    'void', 
-                   [param('double', 'arg0')])
-    ## snr-to-block-error-rate-record.h (module 'wimax'): void ns3::SNRToBlockErrorRateRecord::SetBlockErrorRate(double arg0) [member function]
+                   [param('double', 'bitErrorRate')])
+    ## snr-to-block-error-rate-record.h (module 'wimax'): void ns3::SNRToBlockErrorRateRecord::SetBlockErrorRate(double blockErrorRate) [member function]
     cls.add_method('SetBlockErrorRate', 
                    'void', 
-                   [param('double', 'arg0')])
-    ## snr-to-block-error-rate-record.h (module 'wimax'): void ns3::SNRToBlockErrorRateRecord::SetI1(double arg0) [member function]
+                   [param('double', 'blockErrorRate')])
+    ## snr-to-block-error-rate-record.h (module 'wimax'): void ns3::SNRToBlockErrorRateRecord::SetI1(double i1) [member function]
     cls.add_method('SetI1', 
                    'void', 
-                   [param('double', 'arg0')])
-    ## snr-to-block-error-rate-record.h (module 'wimax'): void ns3::SNRToBlockErrorRateRecord::SetI2(double arg0) [member function]
+                   [param('double', 'i1')])
+    ## snr-to-block-error-rate-record.h (module 'wimax'): void ns3::SNRToBlockErrorRateRecord::SetI2(double i2) [member function]
     cls.add_method('SetI2', 
                    'void', 
-                   [param('double', 'arg0')])
-    ## snr-to-block-error-rate-record.h (module 'wimax'): void ns3::SNRToBlockErrorRateRecord::SetSNRValue(double arg0) [member function]
+                   [param('double', 'i2')])
+    ## snr-to-block-error-rate-record.h (module 'wimax'): void ns3::SNRToBlockErrorRateRecord::SetSNRValue(double snrValue) [member function]
     cls.add_method('SetSNRValue', 
                    'void', 
-                   [param('double', 'arg0')])
+                   [param('double', 'snrValue')])
     return
 
 def register_Ns3SSRecord_methods(root_module, cls):
@@ -4602,6 +4648,30 @@
                    is_static=True)
     return
 
+def register_Ns3SortProcess_methods(root_module, cls):
+    ## ul-job.h (module 'wimax'): ns3::SortProcess::SortProcess() [constructor]
+    cls.add_constructor([])
+    ## ul-job.h (module 'wimax'): ns3::SortProcess::SortProcess(ns3::SortProcess const & arg0) [constructor]
+    cls.add_constructor([param('ns3::SortProcess const &', 'arg0')])
+    ## ul-job.h (module 'wimax'): bool ns3::SortProcess::operator()(ns3::PriorityUlJob & left, ns3::PriorityUlJob & right) const [member operator]
+    cls.add_method('operator()', 
+                   'bool', 
+                   [param('ns3::PriorityUlJob &', 'left'), param('ns3::PriorityUlJob &', 'right')], 
+                   custom_name='__call__', is_const=True)
+    return
+
+def register_Ns3SortProcessPtr_methods(root_module, cls):
+    ## ul-job.h (module 'wimax'): ns3::SortProcessPtr::SortProcessPtr() [constructor]
+    cls.add_constructor([])
+    ## ul-job.h (module 'wimax'): ns3::SortProcessPtr::SortProcessPtr(ns3::SortProcessPtr const & arg0) [constructor]
+    cls.add_constructor([param('ns3::SortProcessPtr const &', 'arg0')])
+    ## ul-job.h (module 'wimax'): bool ns3::SortProcessPtr::operator()(ns3::Ptr<ns3::PriorityUlJob> & left, ns3::Ptr<ns3::PriorityUlJob> & right) const [member operator]
+    cls.add_method('operator()', 
+                   'bool', 
+                   [param('ns3::Ptr< ns3::PriorityUlJob > &', 'left'), param('ns3::Ptr< ns3::PriorityUlJob > &', 'right')], 
+                   custom_name='__call__', is_const=True)
+    return
+
 def register_Ns3Tag_methods(root_module, cls):
     ## tag.h (module 'network'): ns3::Tag::Tag() [constructor]
     cls.add_constructor([])
@@ -7960,10 +8030,10 @@
                    'uint32_t', 
                    [], 
                    is_virtual=True)
-    ## bs-uplink-scheduler-simple.h (module 'wimax'): void ns3::UplinkSchedulerSimple::GetChannelDescriptorsToUpdate(bool & arg0, bool & arg1, bool & arg2, bool & arg3) [member function]
+    ## bs-uplink-scheduler-simple.h (module 'wimax'): void ns3::UplinkSchedulerSimple::GetChannelDescriptorsToUpdate(bool & updateDcd, bool & updateUcd, bool & sendDcd, bool & sendUcd) [member function]
     cls.add_method('GetChannelDescriptorsToUpdate', 
                    'void', 
-                   [param('bool &', 'arg0'), param('bool &', 'arg1'), param('bool &', 'arg2'), param('bool &', 'arg3')], 
+                   [param('bool &', 'updateDcd'), param('bool &', 'updateUcd'), param('bool &', 'sendDcd'), param('bool &', 'sendUcd')], 
                    is_virtual=True)
     ## bs-uplink-scheduler-simple.h (module 'wimax'): static ns3::TypeId ns3::UplinkSchedulerSimple::GetTypeId() [member function]
     cls.add_method('GetTypeId', 
@@ -12303,10 +12373,10 @@
                    'ns3::Ptr< ns3::BsServiceFlowManager >', 
                    [], 
                    is_const=True)
-    ## bs-net-device.h (module 'wimax'): void ns3::BaseStationNetDevice::SetServiceFlowManager(ns3::Ptr<ns3::BsServiceFlowManager> arg0) [member function]
+    ## bs-net-device.h (module 'wimax'): void ns3::BaseStationNetDevice::SetServiceFlowManager(ns3::Ptr<ns3::BsServiceFlowManager> sfm) [member function]
     cls.add_method('SetServiceFlowManager', 
                    'void', 
-                   [param('ns3::Ptr< ns3::BsServiceFlowManager >', 'arg0')])
+                   [param('ns3::Ptr< ns3::BsServiceFlowManager >', 'sfm')])
     ## bs-net-device.h (module 'wimax'): void ns3::BaseStationNetDevice::DoDispose() [member function]
     cls.add_method('DoDispose', 
                    'void', 
